loadlibrary('E:\USB-1000 Series DAQ\lib\x86\usb-1000','E:\USB-1000 Series DAQ\lib\x86\usb-1000.h')
libfunctions usb0x2D1000 -full

Data = zeros(1,16000);
DataPtr = libpointer('singlePtr',Data);

calllib('usb0x2D1000','OpenDevice',0);					% Open a device
calllib('usb0x2D1000','ResetDevice',0);					% Reset a device
calllib('usb0x2D1000','SetUSB1AiRange',0,10);			% Set the range to 0~10V
calllib('usb0x2D1000','SetSampleRate',0,100000);		% Set the sampling rate as 100kS/s
calllib('usb0x2D1000','SetChanMode',0,3);				% Set ai channel mode as RSE
calllib('usb0x2D1000','SetChanSel',0,hex2dec('00ff'));	% Set channels ai0~ai7 as enabled
calllib('usb0x2D1000','StartRead',0);					% Start the computer reading thread
calllib('usb0x2D1000','SetSoftTrig',0,1);				% Start the software trigger

% Load 1000 points per channel from into DataPtr from fifo buffer. The selected channels are ai0 ~ ai7 with a timeout of 2000ms.
% If you need to obtain continuous waveform signal data, call the GetAiChans function repeatedly in a loop, resulting in all data being a set of continuous waveform data.
calllib('usb0x2D1000','GetAiChans',0,1000,hex2dec('00ff'),DataPtr,2000);
Data = get(DataPtr,'Value');

calllib('usb0x2D1000','StopRead',0);					% Stop the computer reading thread
calllib('usb0x2D1000','SetSoftTrig',0,0);				% Turn off software trigger signal
calllib('usb0x2D1000','ClearBufs',0);					% Clean the cache
calllib('usb0x2D1000','CloseDevice',0);					% Close the device

myData = zeros(1,1000);
myData = Data(1:1000);
plot(myData)
unloadlibrary('usb0x2D1000')
